Bug 125330 - Disable Filter and Change Table in mail wizard
Summary: Disable Filter and Change Table in mail wizard
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Gabor Kelemen
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2019-05-17 04:04 UTC by Djaafar Benchikh
Modified: 2019-09-04 08:21 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Djaafar Benchikh 2019-05-17 04:04:53 UTC
Description:
For (mail manage wizard) in (Tools) and in the step (Select Address List) in case where the choice board is empty <Filter> and <Change Table> are activated

Steps to Reproduce:
1.open LibreOfficeDev
2.Choose Writer Document 
3.In tools tab choose (Mail Manage Wizard)
4.In the step (Select Starting Document) keep the default choice and click on (Next)
5.In the step (Select Document Type) keep the default choice and click on (Next)
6.In the step (Select Address List) click on the button (Select Address List)
7. In dialog box of (Select Address List ) click on the buttons <Filter> and <Change Table>

Actual Results:
The buttons <Filter> and <Change Table> are activated  in the case of an empty board

Expected Results:
in the case of an empty board The buttons <Filter> and <Change Table>  must be disabled as <Edit> button


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Comment 1 Roman Kuznetsov 2019-05-18 20:24:56 UTC
You shouldn't set up status to NEW yourself. It should be anyone else from QA teram.
Comment 2 Heiko Tietze 2019-05-24 09:31:59 UTC
We ship EvolutionLocal with table Personal (and NewDatabase). Both do not have more tables or allow filtering. Clicking the buttons has no effect. So yes, it should be disabled.
Comment 3 Commit Notification 2019-09-04 08:21:03 UTC
Kelemen Gábor committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/a9e098aa4e66c771642b26527e3e48c48c428574%5E%21

tdf#125330 Disable Filter and Change Table buttons

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 László Németh 2019-09-04 08:21:58 UTC
Note: a lot of problem have been here, yet. Button "Filter" is ok only when the database supports filtering. Button "Change table" is ok only when the database contains more than one table (for example, the data source is an ODS file with two sheets). The most notable UI problem, that in the last case, moving cursor among the  database items, the selected table is removed automatically, and with its next selection the dialog window "Change table" appears again automatically. But maybe the biggest problem, that LibreOffice doesn't remember the connected table, so after reloading the text document, you must change the table again, if you want to use the previous data.